For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Detail
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert from BigCommerce CustomerGroup into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company's Catalog
              • PUTUpdate Company's Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
              • GETList Company Subsidiaries
              • DELDelete Company Subsidiary
              • POSTAttach Company as Parent to Current Company
              • GETList Company Hierarchy
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany

List Company Extra Field Configs

Beta
GET
https://api-b2b.bigcommerce.com/api/v3/io/companies/extra-fields
GET
/api/v3/io/companies/extra-fields
$curl https://api-b2b.bigcommerce.com/api/v3/io/companies/extra-fields \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "code": 200,
3 "meta": {
4 "pagination": {
5 "limit": 10,
6 "offset": 0,
7 "totalCount": 1
8 }
9 },
10 "data": [
11 {
12 "id": 101,
13 "uuid": "a3f1c9e2-4b7d-4f8a-9c2e-5d6b7f8a9c3d",
14 "fieldName": "Customer Loyalty Number",
15 "fieldType": 0,
16 "isRequired": true,
17 "isUnique": true,
18 "visibleToEnduser": true,
19 "configType": 1,
20 "defaultValue": "N/A",
21 "maximumLength": "20",
22 "numberOfRows": "",
23 "maximumValue": "",
24 "listOfValue": []
25 }
26 ]
27}
Get company extra field configs
Was this page helpful?
Previous

Update Company's Status

Next

List Company Attachments

Built with

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Query parameters

offsetdoubleOptional

Pagination offset default: 0

limitstringOptional

Pagination limit default: 10

Response

OK
codeinteger
Response code of success request.
metaobject
Used to response pagination information
datalist of objects